libcdr::WaldoRecordType1 Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libcdr::WaldoRecordType1 Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| WaldoRecordType1 (unsigned id, unsigned short next, unsigned short previous, unsigned short child, unsigned short parent, unsigned short flags, double x0, double y0, double x1, double y1, const CDRTransform &trafo)
| WaldoRecordType1 ()

## Public Attributes
unsigned | m_id
unsigned short | m_next
unsigned short | m_previous
unsigned short | m_child
unsigned short | m_parent
unsigned short | m_flags
double | m_x0
double | m_y0
double | m_x1
double | m_y1
CDRTransform | m_trafo

## Constructor & Destructor Documentation

## ◆ WaldoRecordType1() [1/2]

libcdr::WaldoRecordType1::WaldoRecordType1 | ( | unsigned | id,
|  | unsigned short | next,
|  | unsigned short | previous,
|  | unsigned short | child,
|  | unsigned short | parent,
|  | unsigned short | flags,
|  | double | x0,
|  | double | y0,
|  | double | x1,
|  | double | y1,
|  | const CDRTransform & | trafo )
| inline

## ◆ WaldoRecordType1() [2/2]

libcdr::WaldoRecordType1::WaldoRecordType1 | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_child

unsigned short libcdr::WaldoRecordType1::m_child

Referenced by WaldoRecordType1(), and WaldoRecordType1().

## ◆ m_flags

unsigned short libcdr::WaldoRecordType1::m_flags

Referenced by WaldoRecordType1(), and WaldoRecordType1().

## ◆ m_id

unsigned libcdr::WaldoRecordType1::m_id

Referenced by WaldoRecordType1(), and WaldoRecordType1().

## ◆ m_next

unsigned short libcdr::WaldoRecordType1::m_next

Referenced by WaldoRecordType1(), and WaldoRecordType1().

## ◆ m_parent

unsigned short libcdr::WaldoRecordType1::m_parent

Referenced by WaldoRecordType1(), and WaldoRecordType1().

## ◆ m_previous

unsigned short libcdr::WaldoRecordType1::m_previous

Referenced by WaldoRecordType1(), and WaldoRecordType1().

## ◆ m_trafo

CDRTransform libcdr::WaldoRecordType1::m_trafo

Referenced by WaldoRecordType1(), and WaldoRecordType1().

## ◆ m_x0

double libcdr::WaldoRecordType1::m_x0

Referenced by WaldoRecordType1(), and WaldoRecordType1().

## ◆ m_x1

double libcdr::WaldoRecordType1::m_x1

Referenced by WaldoRecordType1(), and WaldoRecordType1().

## ◆ m_y0

double libcdr::WaldoRecordType1::m_y0

Referenced by WaldoRecordType1(), and WaldoRecordType1().

## ◆ m_y1

double libcdr::WaldoRecordType1::m_y1

Referenced by WaldoRecordType1(), and WaldoRecordType1().

The documentation for this struct was generated from the following file:

- CDRTypes.h